Subject: Re: bug#22896: 25.0.92; Pasting from system clipboard into tty emacs I-search minibuffer ends up in buffer instead

From: Zhiming Wang <[email-masked]>
Date: Sat, 4 Jun 2016 15:52:54 -0700

> On Jun 4, 2016, at 3:16 PM, Juri Linkov <[email-masked]> wrote:
> 
>>> Could you please try and see if setting select-enable-clipboard
>>> to nil resolves your issue?  (I assume there may be some bug in
>>> the 'select code, but if anything, this setting could be used as
>>> a workaround.)
>> 
>> Sorry for the very late reply (for whatever I didn't get your reply, and only
>> realized there was a reply when I visited the bug tracker just now).
>> 
>> The answer is no, setting select-enable-clipboard to nil doesn't seem to change
>> the behavior, even in newly released 25.0.94.
>> 
>> Full version string:
>> GNU Emacs 25.0.94.1 (x86_64-apple-darwin15.4.0, NS appkit-1404.46 Version 10.11.4 (Build 15E65)) of 2016-05-17
> 
> Could you please confirm if this was fixed two weeks ago in
> http://debbugs.gnu.org/23519

Yes, I just tried latest master (abfe07a) which includes the fix in 869092c, and the bug is fixed. Since the fix already landed in the emacs-25 branch, I think we can close this.